Home_greyopenFATE - openSUSE feature tracking > #310780
Dashboard | Search | Sign up | Login

Please login or register to be able to edit or vote this feature.

Provide python 3 bindings when supported

Feature state

openSUSE Distribution
Done

Description

The new version of python, python 3, has been out for several years now.  A lot of python bindings now support python 3.  However, although openSUSE has provided python 3 for a while, it provides few, if any, python 3 versions of packages.

My suggestion is that python 2 be kept the default, but for python packages and bindings that support it, python 3 versions should be made available as well.  I think the python in the name would be replaced by python3, so in additiona to python-numpy there would be python3-numpy, for example.

Discussion


No comments yet

Last change: 6 months ago
Voting
Score: 9
  • Negative: 0
  • Neutral: 1
  • Positive: 9
Tags
Feature Export
Application-xmlXML   Text-x-logPlaintext   PrinterPrint